UPDATE project_floor_sub_item
SET delete_time=NOW(),
    note='同一单元号存在多条不同类型的数据'
WHERE obj_no IN (SELECT DISTINCT obj_no
                 FROM contract_unit
                 WHERE contract_code IN (
                                         'HT-XAS-ZAGJFZ-伍07-202211-1090',
                                         'HT-XAS-ZAGJFZ-伍08-202211-1125',
                                         'HT-XAS-ZAGJFZ-伍09-202211-1133',
                                         'HT-XAS-ZAGJFZ-伍10-202211-1138',
                                         'HT-XAS-ZAGJFZ-叁01-202211-1148',
                                         'HT-XAS-ZAGJFZ-壹01-202211-1159',
                                         'HT-XAS-ZAGJFZ-叁07-202211-1160',
                                         'HT-XAS-ZAGJFZ-叁08-202211-1176',
                                         'HT-XAS-ZAGJFZ-壹02-202211-1187',
                                         'HT-XAS-ZAGJFZ-壹03-202211-1194',
                                         'HT-XAS-ZAGJFZ-叁10-202211-1198',
                                         'HT-XAS-ZAGJFZ-贰01-202211-1203',
                                         'HT-XAS-ZAGJFZ-贰02-202211-1214',
                                         'HT-XAS-ZAGJFZ-贰06-202211-1218',
                                         'HT-XAS-ZAGJFZ-壹11-202211-1236',
                                         'HT-XAS-ZAGJFZ-伍11-202212-1861'
                     ))
  AND uuid NOT IN (SELECT DISTINCT sub_item_uuid
                   FROM contract_unit
                   WHERE contract_code IN (
                                           'HT-XAS-ZAGJFZ-伍07-202211-1090',
                                           'HT-XAS-ZAGJFZ-伍08-202211-1125',
                                           'HT-XAS-ZAGJFZ-伍09-202211-1133',
                                           'HT-XAS-ZAGJFZ-伍10-202211-1138',
                                           'HT-XAS-ZAGJFZ-叁01-202211-1148',
                                           'HT-XAS-ZAGJFZ-壹01-202211-1159',
                                           'HT-XAS-ZAGJFZ-叁07-202211-1160',
                                           'HT-XAS-ZAGJFZ-叁08-202211-1176',
                                           'HT-XAS-ZAGJFZ-壹02-202211-1187',
                                           'HT-XAS-ZAGJFZ-壹03-202211-1194',
                                           'HT-XAS-ZAGJFZ-叁10-202211-1198',
                                           'HT-XAS-ZAGJFZ-贰01-202211-1203',
                                           'HT-XAS-ZAGJFZ-贰02-202211-1214',
                                           'HT-XAS-ZAGJFZ-贰06-202211-1218',
                                           'HT-XAS-ZAGJFZ-壹11-202211-1236',
                                           'HT-XAS-ZAGJFZ-伍11-202212-1861'
                       ))
LIMIT 16;


UPDATE mfg.contract t
SET t.opportunity_uuid         = 1624981010162188290,
    t.opportunity_contact_uuid = 'bd48613fa7a066c46ab5ba2c89678108',
    t.opportunity_contact_name = '杜敏'
WHERE t.uuid = 1613730111323897857


UPDATE mfg.contract t
SET t.opportunity_uuid         = 1601169595133194241,
    t.opportunity_contact_uuid = '68bcd4c2ae850ae248c7f27225d6f87e',
    t.opportunity_contact_name = '罗总'
WHERE t.uuid = 1597231717989023745
  AND t.contract_type = 1
  AND t.old_contract_uuid IS NULL
  AND t.new_contract_uuid IS NULL
  AND t.contract_code LIKE 'HT-CDS-IFSCDGJJRZX2H-3605-202211-1504' ESCAPE
      '#' AND t.contract_status = 6 AND t.contract_lease_type = 1 AND
      t.company_uuid LIKE 'cf0bd466d4c747e5bb5b3662cd42a542' ESCAPE '#' AND
                                                                    t.company_name LIKE '四川信科盛科技有限公司' ESCAPE
                                                                    '#' AND t.sign_contract_date = '2022-11-10' AND
                                                                    t.office_capacity = 12 AND t.lease_effect_uuid LIKE
                                                                                               '1522774358977757186' ESCAPE
                                                                                               '#' AND
                                                                                               t.lease_start_date =
                                                                                               '2022-11-10' AND
                                                                                               t.lease_end_date =
                                                                                               '2024-05-31' AND
                                                                                               t.contract_save_status =
                                                                                               1 AND
                                                                                               t.contract_type_tag =
                                                                                               1 AND
                                                                                               t.has_custom_field =
                                                                                               1 AND t.is_delete = 0 AND
                                                                                               t.create_uuid LIKE
                                                                                               '416196ddf1ac4d3587b9ee021c395744' ESCAPE
                                                                                               '#' AND
                                                                                               t.update_uuid LIKE
                                                                                               'db8a8f14734144c3bad53aefa6af1f0c' ESCAPE
                                                                                               '#' AND t.create_time =
                                                                                                       '2022-11-28 22:11:31' AND
                                                                                               t.update_time =
                                                                                               '2023-01-30 11:47:29' AND
                                                                                               t.property_management IS NULL AND
                                                                                               t.property_service IS NULL AND
                                                                                               t.property_fees =
                                                                                               35.00 AND
                                                                                               t.property_fees_sum =
                                                                                               5525.10 AND
                                                                                               t.rent_deposit =
                                                                                               46000.00 AND
                                                                                               t.rent_deposit_months =
                                                                                               2.00 AND
                                                                                               t.property_deposit =
                                                                                               0.00 AND
                                                                                               t.water_electricity_deposit =
                                                                                               4700.00 AND
                                                                                               t.water_and_electricity =
                                                                                               150.00 AND
                                                                                               t.water_and_electricity_is_follow_rent =
                                                                                               1 AND
                                                                                               t.water_and_electricity_division IS NULL AND
                                                                                               t.water_and_electricity_second_lease_term_division IS NULL AND
                                                                                               t.leased_area =
                                                                                               157.86 AND t.unit_type =
                                                                                                          1 AND
                                                                                               t.project_uuid LIKE
                                                                                               '1e81918c45ae40e5a47909f1860df1f2' ESCAPE
                                                                                               '#' AND
                                                                                               t.project_name LIKE
                                                                                               'IFS成都国际金融中心2号楼' ESCAPE
                                                                                               '#' AND
                                                                                               t.contract_generate_time IS NULL AND
                                                                                               t.contract_generator_uuid IS NULL AND
                                                                                               t.contract_generator_name IS NULL AND
                                                                                               t.contract_model_uuid IS NULL AND
                                                                                               t.emergency_degree =
                                                                                               1 AND t.creator_name LIKE
                                                                                                     '邱野-Richard' ESCAPE
                                                                                                     '#' AND
                                                                                                     t.updater_name LIKE
                                                                                                     '刘玉洁-Keira' ESCAPE
                                                                                                     '#' AND
                                                                                                     t.delivery_date =
                                                                                                     '2022-11-10' AND
                                                                                                     t.associations_uuid IS NULL AND
                                                                                                     t.associations_code IS NULL AND
                                                                                                     t.contract_step =
                                                                                                     3 AND
                                                                                                     t.contract_contains_remark =
                                                                                                     0 AND
                                                                                                     t.audit_remark IS NULL AND
                                                                                                     t.approval_status =
                                                                                                     4 AND
                                                                                                     t.is_finished =
                                                                                                     1 AND
                                                                                                     t.fid IS NULL AND
                                                                                                     t.approval_type IS NULL AND
                                                                                                     t.change_user_type =
                                                                                                     0 AND
                                                                                                     t.change_type =
                                                                                                     0 AND
                                                                                                     t.change_effective_time IS NULL AND
                                                                                                     t.is_draft = 0 AND
                                                                                                     t.reason IS NULL AND
                                                                                                     t.rent_refund_date IS NULL AND
                                                                                                     t.surrender_type IS NULL AND
                                                                                                     t.business_registration_address_change_date IS NULL AND
                                                                                                     t.opportunity_uuid =
                                                                                                     -1 AND
                                                                                                     t.rent_refund_signing_date IS NULL AND
                                                                                                     t.opportunity_name IS NULL AND
                                                                                                     t.opportunity_contact_uuid LIKE
                                                                                                     '-1' ESCAPE '#' AND
                                                                                                                 t.opportunity_contact_name LIKE
                                                                                                                 '无到访' ESCAPE
                                                                                                                 '#' AND
                                                                                                                 t.origin_uuid IS NULL AND
                                                                                                                 t.is_archive =
                                                                                                                 0 AND
                                                                                                                 t.account_subject_info_uuid IS NULL AND
                                                                                                                 t.text_data_uuid_str IS NULL AND
                                                                                                                 t.registration IS NULL AND
                                                                                                                 t.contract_termination_data IS NULL AND
                                                                                                                 t.order_maker IS NULL AND
                                                                                                                 t.refund_reason IS NULL AND
                                                                                                                 t.is_notify IS NULL AND
                                                                                                                 t.fill_form_date IS NULL AND
                                                                                                                 t.total_guarantee IS NULL AND
                                                                                                                 t.transaction_time =
                                                                                                                 '2022-12-01 17:11:32' AND
                                                                                                                 t.contract_creator_uuid IS NULL AND
                                                                                                                 t.contract_creator_name IS NULL AND
                                                                                                                 t.first_final_payment_day LIKE
                                                                                                                 '三' ESCAPE
                                                                                                                 '#' AND
                                                                                                                 t.trance_id IS NULL AND
                                                                                                                 t.oa_status_repeat_updated_count =
                                                                                                                 0 AND
                                                                                                                 t.is_need_stamp =
                                                                                                                 0 AND
                                                                                                                 t.is_save_edit_bill =
                                                                                                                 1 AND
                                                                                                                 t.meter_reading_date_num =
                                                                                                                 10 AND
                                                                                                                 t.enable_operating_management_bill =
                                                                                                                 0;

UPDATE bill AS b
    INNER JOIN bill_item AS bi ON bi.bill_uuid = b.uuid AND bi.is_parent = 1
SET b.payment_date=bi.pay_date
WHERE bi.fee_type_uuid = '1494239635921162240'

UPDATE mfg.contract t
SET t.opportunity_uuid         = 1626422072642699265,
    t.opportunity_name         = '上海威奥颐摩健康科技有限公司',
    t.opportunity_contact_uuid = '96762049ffcba55da959587755ccad2a',
    t.opportunity_contact_name = '甘雨'
WHERE t.uuid = 1620271886740553729;


UPDATE mfg.admin t
SET t.mobile = '15928537751'
WHERE t.uuid LIKE '1ebf650006de41a99031c6ad2d4c5573' ESCAPE '#';


UPDATE mfg.contract t
SET t.opportunity_uuid         = 1628336891953803265,
    t.opportunity_contact_uuid = '18fc05ae70e00c486b1945b6baffb496'
WHERE t.uuid = 1625094094549745666;

UPDATE mfg.contract t
SET t.opportunity_contact_name = '锐锐'
WHERE t.uuid = 1605028221044129793;

UPDATE mfg.contract t
SET t.opportunity_uuid         = 1607791083667849218,
    t.opportunity_contact_uuid = 'b366a276b8ace703967e8c66b4ae1f09',
    t.opportunity_contact_name = '郑'
WHERE t.uuid = 1614813638174044162;



UPDATE mfg.contract t
SET t.opportunity_uuid         = 1629023545295110145,
    t.opportunity_contact_uuid = '5d73e992f6f8284c23f13ae9bb0ef6b9'
WHERE t.uuid = 1625323503665410049;


UPDATE mfg.contract t
SET t.opportunity_uuid         = 1599958509728366593,
    t.opportunity_name         = '成都快趣玩文化娱乐有限公司',
    t.opportunity_contact_uuid = '688a9fb209577a2306175b0f79bc4af6',
    t.opportunity_contact_name = '李总'
WHERE t.uuid = 1599957680989413377;

UPDATE mfg.contract t
SET t.opportunity_uuid         = 1630140674201944065,
    t.opportunity_contact_uuid = 'a2384decba8320a431b8e7a1c37afe7a',
    t.opportunity_contact_name = '杨伯虎'
WHERE t.uuid = 1627510036635971586;


UPDATE mfg.project_unit_rental t
SET t.delete_time = null
WHERE t.uuid LIKE 'f526cfe38c2b42559cfb380d0444f8c7' ESCAPE '#';

UPDATE mfg.admin t
SET t.account = '17302560665',
    t.mobile  = '17302560665'
WHERE t.uuid LIKE '3df49638dd294f11979611fc89514eca' ESCAPE '#';



UPDATE mfg.bill_item t
SET t.real_amount      = 0.00,
    t.amount_completed = 0.00,
    t.need_amount      = 124133.55
WHERE t.uuid = 1599665186350366723;

UPDATE mfg.bill_item t
SET t.real_amount      = 0.00,
    t.amount_completed = 0.00,
    t.need_amount      = 378097.29
WHERE t.uuid = 1599665186350366722;

UPDATE mfg.bill_item t
SET t.real_amount      = 0.00,
    t.amount_completed = 0.00,
    t.need_amount      = 81778.49
WHERE t.uuid = 1599665186350366725;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1631126478686121985;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1633727077491535874;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1631126354772164609;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1631126588732076033;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1631126254206971905;

UPDATE mfg.bill t
SET t.settlement_status = 5
WHERE t.uuid = 1599665186132262923;

UPDATE mfg.bill_item t
SET t.settlement_status = 5
WHERE t.uuid = 1599665186350366722;

UPDATE mfg.bill_item t
SET t.settlement_status = 5
WHERE t.uuid = 1599665186350366723;

UPDATE mfg.bill_item t
SET t.settlement_status = 5
WHERE t.uuid = 1599665186350366724;

UPDATE mfg.bill_item t
SET t.settlement_status = 5
WHERE t.uuid = 1599665186350366725;

UPDATE contract
SET company_uuid='4cc8ddd218e6410e8584bbfba7c482a1'
WHERE company_uuid='435a1484fd9f4433939a2c3feae4bab7';

UPDATE contract_company
SET company_uuid='4cc8ddd218e6410e8584bbfba7c482a1'
WHERE company_uuid='435a1484fd9f4433939a2c3feae4bab7';

UPDATE bill_company
SET company_uuid='4cc8ddd218e6410e8584bbfba7c482a1'
WHERE company_uuid='435a1484fd9f4433939a2c3feae4bab7';

UPDATE bill
SET company_uuid='4cc8ddd218e6410e8584bbfba7c482a1'
WHERE company_uuid='435a1484fd9f4433939a2c3feae4bab7';

UPDATE mfg.admin t
SET t.mobile = '13551195895'
WHERE t.uuid LIKE '988b81e56aba4a4991159442b335d8e8' ESCAPE '#';

UPDATE mfg.bill_item t
SET t.should_amount              = 84000.00,
    t.real_amount                = 0.00,
    t.amount_completed           = 0.00,
    t.need_amount                = 84000.00,
    t.origin_should_amount       = 84000.00,
    t.late_fee_settlements_count = 0
WHERE t.uuid = 1598561648169779202;

UPDATE mfg.bill_item t
SET t.settlement_status = 1
WHERE t.uuid = 1598561648169779202;

UPDATE mfg.bill t
SET t.overdue_status             = 1,
    t.has_late_fee               = 0,
    t.is_exemptions_late_fee     = 0,
    t.exemptions_late_fee_amount = 0.00,
    t.settlement_status          = 1
WHERE t.uuid = 1598561648048144389;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1625320144392810499;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1621423704937922562;

UPDATE mfg.bill_operation_record t
SET t.is_delete = 1
WHERE t.uuid = 1620607853716373505;




## approval_status =4
UPDATE mfg.contract t
SET t.approval_status = null
WHERE t.uuid = 1584927368992124930;

alter table expense_project_type add `expense_name` varchar(80) DEFAULT NULL COMMENT '费用类型';



UPDATE mfg.admin t
SET t.mobile = '17313189114'
WHERE t.uuid LIKE 'c48e83170416411db73200f7769f5730' ESCAPE '#';



UPDATE mfg.contract_follow_admin t
SET t.user_uuid = '898849334b694f68aaf31b2abbef518e',
    t.name      = '丁雨婷-Pico'
WHERE t.uuid = 1640967880595537922;

UPDATE mfg.contract_follow_admin t
SET t.user_uuid = '6c029174d2cf401e920e9fda1a5dc2f9',
    t.name      = '彭燕红-Sofia'
WHERE t.uuid = 1567079372954923009;

UPDATE mfg.contract t
SET t.create_uuid = '6c029174d2cf401e920e9fda1a5dc2f9'
WHERE t.uuid = 1547787933098000386;




UPDATE mfg.bill_item t
SET t.settlement_status = 3
WHERE t.uuid = 1595763261380820994;

UPDATE mfg.bill t
SET t.settlement_status = 3
WHERE t.uuid = 1595763261141745683;

UPDATE mfg.bill_item t
SET t.real_amount = 0.00
WHERE t.uuid = 1595763261368238081;

UPDATE mfg.project_unit_rental t
SET t.delete_time = null
WHERE t.uuid LIKE '443ed24ca2a449a18dd6ba8ab4435ea8' ESCAPE '#';

UPDATE mfg.project_unit_rental t
SET t.delete_time = '2023-04-11 10:06:35'
WHERE t.uuid LIKE '29e4178eaf104bfbb670b30251be314a' ESCAPE '#';

UPDATE mfg.project_floor_sub_item t
SET t.delete_time = '2023-04-11 10:10:51'
WHERE t.uuid LIKE '1535098767345213441' ESCAPE '#';

UPDATE mfg.contract_follow_admin t
SET t.user_uuid = 'facc3f1d45bb4b058068454f7f1005d8',
    t.name      = '刘憶'
WHERE t.uuid = 1646058009749618690;

UPDATE
    contract
SET create_uuid='6c029174d2cf401e920e9fda1a5dc2f9',
    creator_name='彭燕红-Sofia'
WHERE contract_code
          IN
      (
       'HT-SZS-HJJRZX-1109-202302-1661',
       'HT-SZS-HJJRZX-1113-202302-1656',
       'HT-SZS-HJJRZX-1111-202302-1660',
       'HT-SZS-HJJRZX-1110-202302-1657',
       'HT-SZS-HJJRZX-1112-202302-1659',
       'HT-SZS-HJJRZX-1105-202302-1665',
       'HT-SZS-HJJRZX-1102-202302-1666',
       'HT-SZS-HJJRZX-1103-202302-166'
          );

UPDATE
    contract
SET create_uuid='6c029174d2cf401e920e9fda1a5dc2f9',
    creator_name='彭燕红-Sofia'
WHERE contract_code
          IN
      (
       'HT-SZS-HJJRZX-1103-202302-1667'
          );


UPDATE mfg.bill_item t
SET t.amount               = 1075.20,
    t.should_amount        = 1075.20,
    t.need_amount          = 1075.20,
    t.origin_should_amount = 1075.20
WHERE t.uuid = 1641286904961368067;



UPDATE mfg.bill_item t
SET t.amount               = 49459.20,
    t.should_amount        = 49459.20,
    t.need_amount          = 49459.20,
    t.origin_should_amount = 49459.20
WHERE t.uuid = 1641286904961368066;

UPDATE mfg.project_unit_rental t
SET t.delete_time = null
WHERE t.uuid LIKE '38c754d381e948b5926f53624f3ff247' ESCAPE '#';

UPDATE mfg.company t
SET t.is_delete = 1
WHERE t.uuid LIKE 'ae28f8089da747bfa8e34a2108a97ea6' ESCAPE '#';

UPDATE contract
SET create_uuid  = '6c029174d2cf401e920e9fda1a5dc2f9',
    creator_name = '彭燕红-Sofia'
WHERE contract_code IN
      ('HT-SZS-HJJRZX-902-202302-1641', 'HT-SZS-HJJRZX-912-202302-1637', 'HT-SZS-HJJRZX-916-202302-1634');

UPDATE mfg.company t
SET t.status = 1
WHERE t.uuid LIKE '87868b96578d4c8eb684941fc9d17fe2' ESCAPE '#';

UPDATE mfg.project_floor_sub_item t
SET t.status = 1
WHERE t.uuid LIKE '1597133684198670340' ESCAPE '#';

UPDATE mfg.contract t
SET t.contract_status = 6
WHERE t.uuid = 1638040355059269634;

UPDATE contract
SET create_uuid='6c029174d2cf401e920e9fda1a5dc2f9',
    creator_name='彭燕红-Sofia'
WHERE contract_code IN (
                        'HT-SZS-SZW1H-2107-202207-491',
                        'HT-SZS-HJJRZX-1310-202302-1688',
                        'HT-SZS-HJJRZX-1217-202302-1681',
                        'HT-SZS-HJJRZX-1206-202302-1679',
                        'HT-SZS-HJJRZX-1210-202302-1676',
                        'HT-SZS-HJJRZX-1209-202302-1675',
                        'HT-SZS-HJJRZX-1203-202302-1674',
                        'HT-SZS-HJJRZX-1215-202302-1673',
                        'HT-SZS-HJJRZX-1010-202302-1650',
                        'HT-SZS-HJJRZX-1008-202302-1648',
                        'HT-SZS-HJJRZX-1007-202302-1645',
                        'HT-SZS-HJJRZX-903-202302-1642',
                        'HT-SZS-HJJRZX-901-202302-1640',
                        'HT-SZS-HJJRZX-917-202302-1639',
                        'HT-SZS-HJJRZX-807-202302-1629'
    );

UPDATE mfg.project_unit_rental t
SET t.delete_time = null
WHERE t.uuid LIKE '098435f10486469c93626eb62288bbd6' ESCAPE '#';

UPDATE mfg.bill_item t
SET t.should_amount    = 104032.80,
    t.amount_completed = 104032.80
WHERE t.uuid = 1600318217807994881;

UPDATE mfg.bill_item t
SET t.should_amount    = 8669.40,
    t.amount_completed = 8669.40
WHERE t.uuid = 1600318217799606273;

UPDATE mfg.bill_item t
SET t.should_amount    = 27742.08,
    t.amount_completed = 27742.08
WHERE t.uuid = 1600318217803800578;

UPDATE mfg.contract_clause_pay_rent_setting t
SET t.unit_price = 76000.00
WHERE t.uuid = 1643079068573827073;


UPDATE  bill_item
SET
    should_amount=76000,
    origin_should_amount=76000,
    need_amount=76000,
    final_unit_price=76000
WHERE contract_uuid=1595018761433378818
AND  fee_type='租金'
AND final_unit_price=152000.00;

UPDATE mfg.bill_item t
SET t.amount               = 0.00,
    t.should_amount        = 0.00,
    t.need_amount          = 0.00,
    t.origin_should_amount = 0.00
WHERE t.uuid = 1643079072201900034;

UPDATE  bill_item
SET
    amount=76000
WHERE contract_uuid=1595018761433378818
AND  fee_type='租金'
AND  should_amount=76000;

UPDATE bill_item
SET settlement_status =1
WHERE contract_uuid=1595018761433378818
AND settlement_status=2
AND pay_date > CURDATE()
AND type=1;


UPDATE bill
SET settlement_status=1
WHERE uuid IN (
    SELECT DISTINCT  bill_uuid FROM bill_item
    WHERE contract_uuid=1595018761433378818
    AND settlement_status=1
    )
AND settlement_status=2;



UPDATE mfg.bill t
SET t.is_delete = 1
WHERE t.uuid = 1643079072084459544;

UPDATE mfg.bill_item t
SET t.is_delete = 1
WHERE t.uuid = 1643079072315146241;

UPDATE mfg.bill t
SET t.is_delete = 1
WHERE t.uuid = 1643079072084459546;

UPDATE mfg.bill_item t
SET t.is_delete = 1
WHERE t.uuid = 1643079072323534849;

UPDATE mfg.bill_item t
SET t.amount               = 9000.00,
    t.should_amount        = 9000.00,
    t.need_amount          = 9000.00,
    t.origin_should_amount = 9000.00
WHERE t.uuid = 1643079072319340545;

UPDATE mfg.bill_item t
SET t.final_unit_price = 9000.00
WHERE t.uuid = 1643079072319340545;


















